﻿<div id="lookup-prod" class="modal fade" data-backdrop="static">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" onclick="$('#lookup-prod').modal('hide')">&times;</span>
                Select Customer
            </div>
            <div class="modal-body">
                <table id="table-lookup-prod" class="table table-striped table-bordered" style="width: 100%"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" onclick="$('#lookup-prod').modal('hide')"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    var lookupcus = $("#table-lookup-prod").DataTable({
                        serverSide: true,
                        processing: true,
                        scrollX: true,
                        ajax: {
                            url: "@Url.Action("Get", "Products")"
                        },
                        aaSorting: [[1, 'asc']],
                        columns: [
                            {
                                data: 'ProductID', render: function () {
                                    return '<a href="javascript:" onclick="selectProd(this)"><i class="glyphicon glyphicon-ok"></i></a>';
                                },
                                sortable: false
                            },
                            { title: 'ProductID', data: 'ProductID' },
                            { title: 'Product Name', data: 'ProductName' },
                            { title: 'Quantity PerUnit', data: 'QuantityPerUnit' },
                            { title: 'Unit Price', data: 'UnitPrice' },
                            { title: 'Units In Stock', data: 'UnitsInStock' },
                            { title: 'Units On Order', data: 'UnitsOnOrder' },
                            { title: 'Discontinued', data: 'Discontinued' }
                        ],
                        lengthMenu: [[5, 10, 25, 50, 100], [5, 10, 25, 50, 100]]
                    });

    function selectProd(e) {
        var tr = $(e).parent().parent();
        $("#ProductID").val(tr.children("td:eq(1)").text());
        $("#ProductName").val(tr.children("td:eq(2)").text());
        $("#lookup-prod").modal('hide');
    }
</script>



